Welcome to the Treehouse Community

The Treehouse Community is a meeting place for developers, designers, and programmers of all backgrounds and skill levels to get support. Collaborate here on code errors or bugs that you need feedback on, or asking for an extra set of eyes on your latest project. Join thousands of Treehouse students and alumni in the community today. (Note: Only Treehouse students can comment or ask questions, but non-students are welcome to browse our conversations.)

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and a supportive community. Start your free trial today.

General Discussion

Geoffrey Powell
Geoffrey Powell
15,358 Points

Turn off magic quotes gpc for Joomla 3 installation?

Hi, I'm trying to install Joomla 3.2 on my live server (shared hosting with a small company). Joomla won't let me install due to a requirement that magic quotes gpc needs to be turned off on my server.

I have gone to Joomla and tried different fixes they suggest there. Nothing seems to be working.

One thing I noticed about my directories is my public_html directory is at the root level and doesn't contain anything except a cgi local file and a default index.html file, whereas the directory in the Joomla instructions appears to have a Joomla root under public_html. I've tried different path combinations in the .htaccess file and still not getting anything.

Thanks for reading! Any suggestions?

1 Answer

Holger Liesegang
Holger Liesegang
50,595 Points

Hi Geoffrey,

magic_quotes_gpc = Off is a requirement for Joomla since version 2.5 and yes, there are some possible ways to try like mentioned here but you will most likely end up with some problems later and the solutions may or may not work with your specific provider. I would recommend contacting your hosting provider for turning Magic Quotes off. Another solution is changing to PHP version 5.4 if that's possible for you (some hosting provider let you choose the version of PHP).

Kind Regards Holger

Geoffrey Powell
Geoffrey Powell
15,358 Points

Thanks, it's as I thought. Hosting provider contacted as I cannot change to PHP 5.4